Subject: bug#67145: Modes in vc-deduce-backend

From: Juri Linkov <[email-masked]>
Date: Tue, 14 Nov 2023 09:46:50 +0200

close 67145 30.0.50
thanks

>> Then maybe
>>    (defvar vc-deduce-backend-nonvc-modes
>
> Perhaps 'vc-supported-other-modes'? Anyway, your choice is already an
> improvement, please take your pick.

The name should have the prefix 'vc-deduce-backend-*' that is essential.
So I pushed 'vc-deduce-backend-nonvc-modes' with more explanation in the
docstring.

Now I'm going to set it to nil to finally allow such useful cases as
'C-x p p C-x v L' even from *scratch*, Info, Gnus, and all other modes.

Or maybe 'project-switch-project' should let-bind this variable to nil?